Subject: Re: Problems with b19.1
From: [email-masked] (Jon Thackray)

10 Apr 1998 12:37:08 -0700
Sender: [email-masked]
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked] (Michael Hirmke)
Cc: [email-masked]

Michael Hirmke writes:
 > Hi Jon,
 > 
 > >I'm having problems with b19.1 and its interaction with cmd. I used
 > >(under b18 and b17) to be able to do things like
 > 
 > DOS>>sh foo
 > 
 > >where foo is a shell script on the %PATH% defined in the system
 > >environment. This no longer works. It gives the error message foo:
 > >Can't open foo, which I think is sh saying it can't find foo.I also
 > >used to be able to do things like
 > 
 > Perhaps shebang (#!) in foo is set to an incorrect shell path ?
 > Or perhaps your DOS path does not contain the path to foo ?
 > I only get this error message, if my DOS path does not contain my shell
 > script directory.

This is not the problem.

 > >which foo.bat
 > >
 > >from within a shell script. Now the which program (not part of
 > >gnu-win32) no longer finds foo.bat. I suspect sh is not passing it the
 > >correct path variable.
 > 
 > Uhm, did you try "type foo.bat" instead ?

The answer to both these questions was provided to me by Earnie Boyd.
For any who missed it, here it is again. It works. Basically, sh is
defective, but bash is correct.

Earnie Boyd writes:
 > cd cygnus/B19/H-i386-cygwin32/bin 
 > rm sh.exe
 > cp bash.exe sh.exe
 > 
 > This should solve your problems.
 > 
 > The downside, your configure and builds will take longer.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".